Qt 5.7 | Qt 3D | C++ Classes | QTextureWrapMode

Qt 5.7.1 Reference Documentation

# QTextureWrapMode Class

(Qt3DRender::QTextureWrapMode)

Defines the wrap mode a Qt3DRender::QAbstractTexture should apply to a texture. More...

Header: | #include <QTextureWrapMode>
qmake: | QT += 3drender
Since: | Qt 5.5

- List of all members, including inherited members

## Public Types

enum | WrapMode { Repeat, MirroredRepeat, ClampToEdge, ClampToBorder }

## Properties

- x : WrapMode
- y : WrapMode
- z : WrapMode

## Public Functions

| QTextureWrapMode(WrapMode wrapMode = ClampToEdge, QObject *parent = nullptr)
| QTextureWrapMode(WrapMode x, WrapMode y, WrapMode z, QObject *parent = nullptr)
WrapMode | x() const
WrapMode | y() const
WrapMode | z() const

## Public Slots

void | setX(WrapMode x)
void | setY(WrapMode y)
void | setZ(WrapMode z)

## Signals

void | xChanged(WrapMode x)
void | yChanged(WrapMode y)
void | zChanged(WrapMode z)

## Detailed Description

Defines the wrap mode a Qt3DRender::QAbstractTexture should apply to a texture.

## Member Type Documentation

### enum QTextureWrapMode::WrapMode

## Property Documentation

### x : WrapMode

Access functions:

WrapMode | x() const
void | setX(WrapMode x)

Notifier signal:

void | xChanged(WrapMode x)

### y : WrapMode

Access functions:

WrapMode | y() const
void | setY(WrapMode y)

Notifier signal:

void | yChanged(WrapMode y)

### z : WrapMode

Access functions:

WrapMode | z() const
void | setZ(WrapMode z)

Notifier signal:

void | zChanged(WrapMode z)

## Member Function Documentation

### QTextureWrapMode::QTextureWrapMode(WrapMode wrapMode = ClampToEdge, QObject *parent = nullptr)

Default constructs an instance of QTextureWrapMode.

### QTextureWrapMode::QTextureWrapMode(WrapMode x, WrapMode y, WrapMode z, QObject *parent = nullptr)

Contrusts a new Qt3DRender::QTextureWrapMode instance with the wrap mode to apply to each dimension x, y z of the texture and parent as parent.

### `[slot]` void QTextureWrapMode::setX(WrapMode x)

Sets the wrap mode of the x dimension to x.

Note: Setter function for property x.

See also x().

### `[slot]` void QTextureWrapMode::setY(WrapMode y)

Sets the wrap mode of the y dimension to y.

Note: this is not available on 1D textures.

Note: Setter function for property y.

See also y().

### `[slot]` void QTextureWrapMode::setZ(WrapMode z)

Sets the wrap mode of the z dimension to z.

Note: this is only available on 3D textures.

Note: Setter function for property z.

See also z().

### WrapMode QTextureWrapMode::x() const

Returns the wrap mode of the x dimension.

Note: Getter function for property x.

See also setX().

### WrapMode QTextureWrapMode::y() const

Returns the wrap mode of the y dimension.

Note: Getter function for property y.

See also setY().

### WrapMode QTextureWrapMode::z() const

Returns the wrap mode of the z dimension.

Note: Getter function for property z.

See also setZ().